{ lib
, stdenv
, fetchurl
, gmp
, mpfr
, mpfi
, libxml2
, fplll
}:

stdenv.mkDerivation rec {
  pname = "sollya";
  version = "8.0";

  src = fetchurl {
    url = "https://www.sollya.org/releases/sollya-${version}/sollya-${version}.tar.gz";
    sha256 = "sha256-WNc0+aL8jmczwR+W0t+aslvvJNccQBIw4p8KEzmoEZI=";
  };

  buildInputs = [ gmp mpfr mpfi libxml2 fplll ];

  meta = with lib; {
    description = "A tool environment for safe floating-point code development";
    homepage = "https://www.sollya.org/";
    license = licenses.cecill-c;
    platforms = platforms.linux;
    maintainers = with maintainers; [ ];
  };
}
